#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/init.h>

static int __init first_module_init(void)
{
    printk(KERN_INFO "Our first module loaded!\n");
    return 0;
}

static void __exit first_module_cleanup(void)
{
    printk(KERN_INFO "Our first module is cleaning up\n");
}

/* Module entry and exit points */
module_init(first_module_init);
module_exit(first_module_cleanup);

/* Optional: Specify Meta information */
MODULE_LICENSE("GPL");
MODULE_AUTHOR("Lukas Janik");
MODULE_DESCRIPTION("Our first module");