# Our first module

* Run make to build the module
* It will build the module against current kernel headers
* The module binary itself is called **first_module.ko**

The module just prints a message when loaded and unloaded to/from kernel.

Run following commands to validate:

	# Load the module
	insmod first_module.ko
	# Check the kernel debug buffer. There should be "Our first module loaded!"
	dmesg
	# Check that the module is in the list of loaded kernel modules
	# It should return a single line with the module name
	lsmod | grep module
	# Remove the module from the kernel
	rmmod first_module
	# Check the kernel debug buffer. There should be "Our first module is cleaning up"
	dmesg
	# Check that the module is not in the list of loaded kernel modules anymore
	# It should return a blank line
	lsmod | grep module
